Commet
  • Pricing
Log InTry out
Add feature to plan POSTAdd price to plan POSTCreate plan POSTDelete plan price DELETEDelete plan DELETEDelete regional prices DELETEGet plan GETList plans GETRemove feature from plan DELETESet default price PUTSet plan visibility PUTUpdate plan feature PUTUpdate plan price PUTUpdate plan PUTUpsert regional prices PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Delete plan

Soft-delete a plan.

Delete plan price DELETE

Remove a price from a plan.

Delete regional prices DELETE

Remove all regional currency overrides for a plan price.

DELETE
/plans/{id}/manage

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X DELETE "https://commet.co/api/v1/plans/string/manage"

Soft-delete a plan.

Plan public ID

{
  "success": true,
  "data": {
    "id": "string",
    "deleted": true
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}